Jump to content
Froxlor Forum
arnoldB

Release: Froxlor 0.9.26

Recommended Posts

Hello Froxies,

 

we are proud to announce our new Froxlor release 0.9.26! After releasing 0.9.26-rc1 as release candidate, this version is now stable. Because of some unforeseen circumstances 0.9.26 is released later than planned. We are sorry and apologize for that.

Except a few bugfixes, there are next to the previous release candidate no changes in this release.

 

We want to thank the whole Froxlor community again for supporting us and testing our release candidates to strength our releases stability and quality! We would like to thank you for sending patches, using our bugtracker and being very active in our forums.

 

Complete changelog for 0.9.26:

Bug #430: Updating debian packages resets owner (Froxlor FCGID)
Bug #705: traffic reports are malformed
Bug #723: Debian package depends on apache2-mpm-prefork
Bug #788: Gentoo ebuild requires inexistent useflag
Bug #962: Froxlor customer change the owner of the linux home dir
Bug #977: Traffic takes a long time to calculate
Bug #979: Debian Squeeze: Dovecot quota SQL config
Bug #982: alias.url directive invalid for awstats using lighttpd
Bug #983: Official Debian packages is missing /js folder
Bug #987: typo within german lng file - webserver settings
Bug #990: nginx: Missing configuration data within virtual host files
Bug #993: [eBuild] Wrong directory permissions on gentoo
Bug #999: awstats config file error, incl. bugfix
Bug #1001: Classic theme, wrong icon path in backup.tpl. incl bug fix
Bug #1002: classic theme, customer backup can not be enabled and disabled in gui, incl bug fix
Bug #1004: Cron scripts won't be executed successfully if nameserver is disabled
Bug #1012: Apache: ServerAlias length limit not obeyed
Bug #1013: Wrong rc-update command in Gentoo configfiles in DKIM section
Feature #964: Disable Nameserver
Feature #976: Allow 100% or more as value for the limit warning message
Feature #980: nginx configuration: security improvement 
Feature #985: Improve PHP default config of Froxlor

 

Note:

This update contains modifications on some configuration files for your system:

 

Bug #979: Debian Squeeze: Dovecot quota SQL config
Bug #990: nginx: Missing configuration data within virtual host files
Bug #1013: Wrong rc-update command in Gentoo configfiles in DKIM section

Please check these modifications to decide if your services need to be reconfigured.

 

 

Froxlor Debian package & FCGID users:

An improvement in the Debian package updating process prevents the former problem that the owner will be reset after updating. See #430 for more information.

 

Note: It's important to set the correct owner and group for the Froxlor web directory before a upgrade (if it's not already set). The new postinst-script chown's the Froxlor web directory with the former set credentials.

 

 

We also would like to introduce you an experimental service:

 

Our new configuration-file comparison tool: http://config.froxlor.org/

 

If there are changes in the configuration files for services between releases (like right now), you can easily check the changes we made and decide if you need to apply them on your system(s).

What can we do to make it better? Is this a good / bad idea? Any feedback is welcome. :)

 

 

Download Froxlor 0.9.26 as Tarball and via Git

Visit www.froxlor.org or join our irc-channel #froxlor on irc.freenode.org.

 

Thank you for participating the project,

 

The Froxlor Team

  • Like 2

Share this post


Link to post
Share on other sites

Please note that we ceased to support SuSE Linux 10.x, starting with this release.

While Froxlor might not break for you in the future, we do recommend that you update to something more recent if possible since upstream stopped providing security updates quite a while ago.

We renamed the affected Templates to SuSE Linux Enterprise 10 since this is still supported upstream, however, we are keeping template changes on a minimum there if possible due to limited testing availability (noone in the devteam actually has SLES 10 and the SuSE Linux 10 Templates were provided by the Community to begin with.)

Share this post


Link to post
Share on other sites

We do also plan to deprecate Debian Lenny (will be EOL on 6th Feb) and Ubuntu Hardy (we will introduce Pangolin configs) in the next release.

That means there will be a Debian Lenny package for 0.9.27, but that one will be the last one provided, as configs and support will be RM'd in .28.

As always if there are strong objections against this we well reevaluate our plans, but keep in mind that we can't support old stuff forever.

Squeeze was released about one year ago, you have had enough time to upgrade your boxes by now.

Edited by Dessa
clarify, whoops.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now





×
×
  • Create New...